Subject: Re: [PATCH] [POWERPC] Fix interrupt routing and setup of ULI M1575 on FSL boards

From: Olof Johansson <[email-masked]>
Date: Tue, 11 Sep 2007 13:22:34 -0500

On Tue, Sep 11, 2007 at 01:00:47PM -0500, Kumar Gala wrote:
>
> On Sep 11, 2007, at 12:20 PM, Olof Johansson wrote:
>
>> On Fri, Aug 17, 2007 at 12:03:48AM -0500, Kumar Gala wrote:
>>>
>>> Signed-off-by: Kumar Gala <[email-masked]>
>>> ---
>>>  arch/powerpc/boot/dts/mpc8544ds.dts        |   88 ++++------
>>>  arch/powerpc/boot/dts/mpc8641_hpcn.dts     |  114 +++----------
>>>  arch/powerpc/platforms/85xx/Kconfig        |    1 +
>>>  arch/powerpc/platforms/85xx/mpc8544_ds.c   |  214 
>>> ++----------------------
>>>  arch/powerpc/platforms/86xx/Kconfig        |    1 +
>>>  arch/powerpc/platforms/86xx/mpc86xx_hpcn.c |  224 
>>> ++-----------------------
>>>  arch/powerpc/platforms/Kconfig             |    8 +
>>>  arch/powerpc/platforms/Makefile            |    3 +
>>>  arch/powerpc/platforms/fsl_uli1575.c       |  255 
>>> ++++++++++++++++++++++++++++
>>>  9 files changed, 363 insertions(+), 545 deletions(-)
>>>  create mode 100644 arch/powerpc/platforms/fsl_uli1575.c
>>>
>>
>> Since when do we add code directly under powerpc/platforms? Isn't that
>> what we have sysdev for?
>>
>> I know this is already picked up, but I just noticed it when looking at
>> Kumar's 8572 patch. :-(
>
> I put it in platforms since it was related to the boards not the chips.  We 
> can go around about what sysdev actual means, but I'm using the assumption 
> that its for processor & bridges (for discrete processors 10x, mv640x0, 
> etc).  Things that are board specific like the ULI I'm putting under 
> platforms/

Hmm, I don't like the pollution of that directory myself, especially since
we've been able to keep it clean up until now.

Maybe it would make more sense for you guys to slice the platforms
differently, and have a common platform for the eval boards you have
with ULi on them instead of grouping it by core used by the processor
on the board.

(In other words, move 86xx over under 85xx, since there wouldn't be much
left over anyway).

-Olof